apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: kompose convert
    kompose.version: 1.26.0 (40646f47)
  creationTimestamp: null
  labels:
    io.kompose.service: registry
  name: registry
spec:
  replicas: 1
  selector:
    matchLabels:
      io.kompose.service: registry
  strategy:
    type: Recreate
  template:
    metadata:
      annotations:
        kompose.cmd: kompose convert
        kompose.version: 1.26.0 (40646f47)
      creationTimestamp: null
      labels:
        io.kompose.service: registry
    spec:
      containers:
        - env:
            - name: REGISTRY_AUTH
              value: htpasswd
            - name: REGISTRY_AUTH_HTPASSWD_PATH
              value: /a2auth/registry.password
            - name: REGISTRY_AUTH_HTPASSWD_REALM
              value: Registry
            - name: REGISTRY_HTTP_SECRET
              value: SomeRandomStringToUse
            - name: REGISTRY_STORAGE_DELETE_ENABLED
              value: ‘true’
            - name: REGISTRY_STORAGE_FILESYSTEM_ROOTDIRECTORY
              value: /main
          image: registry:2
          name: registry
          ports:
            - containerPort: 5000
          resources: {}
          volumeMounts:
            - mountPath: /main
              name: registry-claim0
            - mountPath: /a2auth
              name: registry-claim1
      restartPolicy: Always
      volumes:
        - name: registry-claim0
          persistentVolumeClaim:
            claimName: registry-claim0
        - name: registry-claim1
          persistentVolumeClaim:
            claimName: registry-claim1
status: {}
